Select rows from table

- « Table::isView

- Table::update »

- PHP Manual
- mysql_xdevapi\Table
- Select rows from table

# Table::select

(No version information available, might only be in Git)

Table::select — Select rows from table

### Description

public mysql_xdevapi\Table::select(mixed `$columns`, mixed `...$more_columns`): mysql_xdevapi\TableSelect

Fetches data from a table.

### Parameters

`columns`

  The columns to select data from. Can be an array with one or more values, or a string.

`more_columns`

  Additional columns parameter definitions.

### Return Values

A TableSelect object; use the execute() method to execute the select and return a RowResult object.

### Examples

Example #1 mysql_xdevapi\Table::count() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
    $session->sql("CREATE DATABASE addressbook")->execute();
    $session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();
    $session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    $row = $table->select('name', 'age')->execute()->fetchAll();

    print_r($row);

The above example will output something similar to:

    Array
    (
        [0] => Array
            (
                [name] => John
                [age] => 42
            )
        [1] => Array
            (
                [name] => Sam
                [age] => 33
            )
    )